<template>
	<view class="all">
		<view class="jg" style="height: 20rpx;">

		</view>
		<view class="navbar" style="display: none;">
			<view v-for="(item, index) in navList" :key="index" class="nav-item"
				:class="{ 'current': tabCurrentIndex === index }" @click="tabClick(index)">{{ item.text }}</view>
		</view>
		<view class="top-nav" v-if="goodsType != 3">
			<view class="top-title">收货方式</view>
			<view class="top-btn">
				<view :class="{ 'action': tabCurrentIndex === 0 }" @click="tabClick(0)">外送</view>
				<view :class="{ 'action': tabCurrentIndex === 1 }" @click="tabClick(1)">自提</view>
			</view>
		</view>
		<!-- 地址 -->
		<template v-if="goodsType != 3">
			<navigator v-if="tabCurrentIndex == 0" url="/pages/set/address?source=1" class="address-section">
				<view class="order-content" v-if="addressData.real_name">
					<text class="iconfont iconlocation"></text>
					<view class="cen">
						<view class="top">
							<text class="name">{{ addressData.real_name }}</text>
							<text class="mobile">{{ addressData.phone }}</text>
						</view>
						<text class="address">{{ addressData.province + addressData.city + addressData.district }}
							{{ addressData.detail }}</text>
					</view>
					<text class="iconfont iconenter"></text>
				</view>
				<view class="order-content" v-if="!addressData.real_name">
					<view class="addAddress">
						<text class="iconfont iconaddition"></text>
						<text>添加收货地址</text>
					</view>
				</view>
				<image class="a-bg" :src="addressImg"></image>
			</navigator>
		</template>


		<view id="list-box" v-if="goodsType != 3">
			<!-- <view class="chose">
				<view class="title">选择门店</view>
				<view class="chose-name" @click.stop="selectStore">
				<view class="chose-name">
					{{ checkedStore ? '重新选择门店' : '请选择下单门店' }}
					<view class="img">
						<image src="https://bamboo.zfhzy.com/static/img/img39.png" mode=""></image>
					</view>
				</view>
			</view> -->
			<view class="stores-wrapper" v-if="checkedStore">
				<view class="store">
					<view class="store-logo">
						<image :src="checkedStore.image" mode=""></image>
						<text class="store-name clamp">{{ checkedStore.name }}</text>
					</view>
					<view class="store-addr store-base">
						地区：
						<text>{{ checkedStore.detailed_address }}</text>
					</view>
					<view class="store-addr store-base">
						电话：
						<text>{{ checkedStore.phone }}</text>
					</view>
					<view class="store-addr store-base">
						距离：
						<text>{{checkedStore.distance | distance}}</text>
					</view>
					<view class="store-addr store-base">
						营业时间：
						<text>{{checkedStore.day_time }}</text>
					</view>
					<view class="store-lv " v-if="checkedStore.store_user" style="background: #9a0b09;">采购</view>
					<view class="store-lv " v-else>门店</view>
				</view>
			</view>
			<view class="chose" v-if="shipping_type == 2">
				<view class="title">选择自提点</view>
				<view class="chose-name" @click.stop="selectPoint" v-if="tabCurrentIndex == 1">
					请选择自提点
					<view class="img">
						<image src="https://bamboo.zfhzy.com/static/img/img39.png" mode=""></image>
					</view>
				</view>
			</view>
			<view class="stores-wrapper" v-if="checkedPoint && shipping_type == 2">
				<view class="store">
					<view class="store-logo">
						<!-- <image :src="checkedPoint.image" mode=""></image> -->
						<text class="store-name clamp">{{ checkedPoint.name }}</text>
					</view>
					<view class="store-addr store-base">
						地区：
						<text>{{ checkedPoint.detailed_address }}</text>
					</view>
					<view class="store-addr store-base">
						电话：
						<text>{{ checkedPoint.phone }}</text>
					</view>
					<view class="store-addr store-base">
						距离：
						<text>{{checkedPoint.distance | distance}}</text>
					</view>
					<view class="store-lv ">自提点</view>
				</view>
			</view>
			<template v-if="!is_caigou">
				<view class="personal" v-if="tabCurrentIndex == 1">
					<view class="info">
						<view class="name">提货人</view>
						<input type="text" class="box-right" v-model="addressData.real_name" style="color: #000000"
							placeholder="请填写提货人" />
					</view>
					<view class="info">
						<view class="name">手机号</view>
						<input type="text" class="box-right" v-model="addressData.phone" style="color: #000000" size="8"
							maxlength="11" placeholder="请填写收货人手机号" />
					</view>
				</view>
			</template>

		</view>
		<template v-if="!is_caigou">
			<view class="flex choose" v-if="goodsType != 3">
				<view class="choose-tit">
					{{shipping_type == 1 ? '配送时间' : '自提时间'}}
				</view>
				<view class="flex">
					<picker mode="date" :value="start_date" :start="start_date" @change="bindDateChange">
						<view class="ps-time">{{psdate || '点击选择日期'}}</view>
					</picker>
					<picker mode="time" @change="bindTimeChange" :value="statr_time">
						<view class="ps-time">{{pstime || '点击选择时间'}}</view>
					</picker>
				</view>

			</view>
		</template>
		<view class="goods-section" v-for="(ls, ind) in shopList" :key="ind">
			<!-- <view class="g-header b-b">
				<image class="logo" :src="ls.productInfo.image"></image>
				<text class="name">{{ ls.name }}</text>
			</view> -->
			<!-- 商品列表 -->
			<view class="g-item">
				<image :src="ls.productInfo.image"></image>
				<view class="right">
					<text class="title clamp2">{{ ls.productInfo.store_name }}</text>
					<text
						class="spec">已选择{{ ls.productInfo.attrInfo ? (' ' + ls.productInfo.attrInfo.suk) : ' 默认' }}X{{ls.cart_num}}</text>
					<view class="price-box">
						<text
							class="price">￥{{ ls.productInfo.attrInfo ? ls.productInfo.attrInfo.price : ls.productInfo.price }}</text>
						<text class="number"
							v-if="ls.productInfo.attrInfo*1 < ls.productInfo.attrInfo.ot_price*1">￥{{ ls.productInfo.attrInfo ?ls.productInfo.attrInfo.ot_price:ls.productInfo.ot_price }}</text>
						<!-- <view><text class="price">￥{{lss.price}}</text></view> -->
						<!-- <view class="number">
							<uni-number-box class="step" :value="lss.number" :index="indx" @eventChange="numberChange"></uni-number-box>
						</view> -->
					</view>
				</view>
			</view>
		</view>

		<!-- 优惠明细 -->
		<view class="yt-list">
			<view class="yt-list-cell b-b" @click="couponListshow ? toggleMask('show') : ''">
				<view class="cell-icon">券</view>
				<text class="cell-tit clamp">优惠券</text>
				<text class="cell-tip active" v-if="couponListshow && !couponChecked.coupon_price">选择优惠券</text>
				<text class="cell-tip red" v-if="couponChecked.coupon_price">-￥{{ couponChecked.coupon_price }}</text>
				<text class="cell-tip disabled" v-if="!couponListshow && !couponChecked.coupon_price">没有优惠券</text>
				<text class="cell-more wanjia wanjia-gengduo-d"></text>
			</view>
			<!-- <view class="yt-list-cell b-b" v-if="moneyAll.storeFreePostage > 0">
				<view class="cell-icon hb">减</view>
				<text class="cell-tit clamp">商家促销</text>
				<text class="cell-tip disabled">满{{ moneyAll.storeFreePostage }}包邮</text>
			</view> -->
		</view>
		<!-- 配送时间 -->

		<uni-pagination title="" show-icon="" total="" current=""></uni-pagination>
		<!-- 金额明细 -->
		<view class="yt-list">
			<!-- <view class="yt-list-cell b-b">
				<text class="cell-tit clamp">优惠金额</text>
				<text class="cell-tip red">-￥35</text>
			</view> -->
			<view class="yt-list-cell b-b" v-if="goodsType == 0">
				<text class="cell-tit clamp">积分抵扣{{ '（当前积分：' + integralAll + '）' }}</text>
				<view class="cell-tip">
					<radio @click="checkedPoints = !checkedPoints" color=" #901b21" :checked="checkedPoints" />
				</view>
			</view>
			<!-- 			<view class="yt-list-cell b-b">
				<text class="cell-tit clamp">运费</text>
				<text class="cell-tip">{{ Postage }}</text>
			</view> -->
			<!-- <view class="yt-list-cell b-b">
				<text class="cell-tit clamp">备注</text>
				<input class="desc" type="text" v-model="desc" placeholder="请填写备注信息" placeholder-class="placeholder" />
			</view> -->
		</view>
		<view class="price-info">
			<view class="item" v-if="shipping_type == 1 ">
				<text class="item-name">配送规则</text>
				<text class="item-value"
					v-if="ps_start_m > 0">{{ps_start | rml}}内配送费{{ps_start_m }}元，超出部分每{{ps_up | rml}}增加{{ps_up_m}}元</text>
				<text class="item-value" v-else>{{ps_start | rml}}内免配送费，超出部分每{{ps_up | rml}}增加{{ps_up_m}}元</text>
			</view>
			<view class="item">
				<text class="item-name">配送方式</text>
				<text class="item-value">{{ tabCurrentIndex === 0 ? '上门配送' : '门店自提' }}</text>
			</view>
			<view class="item">
				<text class="item-name">商品总价</text>
				<text class="item-value">￥{{ payAllMoney }}</text>
			</view>

			<view class="item" v-if="shipping_type == 1 ">
				<text class="item-name">物流费用</text>
				<text class="item-value">{{ Postage }}</text>
			</view>
			<view class="item" v-if="shipping_type == 1 ">
				<text class="item-name">配送距离</text>
				<text class="item-value">{{ pay_dis | rml }}</text>
			</view>
			<view class="item" v-if="moneyAll.vipPrice > 0">
				<text class="item-name">会员折扣</text>
				<text class="item-value">-￥{{ moneyAll.vipPrice }}</text>
			</view>
			<view class="item">
				<text class="item-name">押金</text>
				<text class="item-value">￥{{ moneyAll.totalDeposit || 0 }}</text>
			</view>
			<view class="item" v-if="checkedPoints && integralShow">
				<text class="item-name">积分抵扣</text>
				<text class="item-value">-￥{{ integralMoney }}</text>
			</view>
			<!-- 			<view class="item">
				<text class="item-name">积分</text>
				<text class="item-value">-{{}}</text>
			</view> -->
		</view>
		<!-- <view class="yt-list">
			<view class="yt-list-cell b-b">
				<text class="cell-tit clamp">商品金额</text>
				<text class="cell-tip">￥{{ payAllMoney }}</text>
			</view>
			<view class="yt-list-cell b-b" v-if="checkedPoints && integralShow">
				<text class="cell-tit clamp">积分抵扣</text>
				<text class="cell-tip">-￥{{ integralMoney }}</text>
			</view>
			<view class="yt-list-cell b-b" v-if="moneyAll.vipPrice > 0">
				<text class="cell-tit clamp">VIP优惠</text>
				<text class="cell-tip">-￥{{ moneyAll.vipPrice }}</text>
			</view>
		</view> -->
		<!-- <sPay v-if="sub" class="pay" @x="x" :moneyAll="moneyAll"></sPay> -->
		<!-- 底部 -->
		<view class="footer">
			<view class="price-content">
				<template v-if="payType">
					<text>应付金额</text>
					<text class="price-tip">￥</text>
					<text class="price">
						{{ (tabCurrentIndex == 0 ? (allPayInfo.pay_price*1 +allPayInfo.deposit*1).toFixed(2): (allPayInfo.pay_price - allPayInfo.pay_postage +allPayInfo.deposit).toFixed(2))  || 0 }}
					</text>
				</template>

			</view>
			<text class="submit" :class="{ submitNo: !payType || (tabCurrentIndex == 0 && isOver) }"
				@click="!(!payType || (tabCurrentIndex == 0 && isOver)) ? submit() : ''">提交订单</text>
		</view>

		<!-- 优惠券面板 -->
		<view class="mask" :class="maskState === 0 ? 'none' : maskState === 1 ? 'show' : ''" @click="toggleMask">
			<view class="mask-content">
				<!-- 优惠券页面，仿mt -->
				<view class="coupon-item" @click="checkedCp(item)" v-for="(item, index) in couponList" :key="index">
					<view class="con">
						<view class="left">
							<text class="title">{{ item.coupon_title }}</text>
							<text class="time">领取时间{{ item.add_time }}</text>
						</view>
						<view class="right">
							<text class="price">{{ item.coupon_price }}</text>
							<text>满{{ item.use_min_price }}可用</text>
						</view>
						<view class="circle l"></view>
						<view class="circle r"></view>
					</view>
					<text class="tips">有效期至{{ item.end_time }}</text>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import {
		confirm,
		computedOrderkey,
		couponsOrder
	} from '@/api/order.js';
	import {
		getUserInfo,
		getAddress
	} from '@/api/user.js';
	import {
		cartAdd
	} from '@/api/product.js';
	import {
		mapState,
		mapMutations
	} from 'vuex';
	import uniPopup from '@/components/uni-popup/uni-popup.vue';
	// import sPay from '../money/spay.vue'
	import {
		getPointList
	} from '@/api/index.js'
	export default {
		components: {
			// sPay
		},
		data() {
			return {
				storeList: [], //门店列表
				// checkedStore: null, //选择的门店
				pointList: [], //自提点列表
				// checkedPoint: '', //选择的自提点
				addressImg: 'data:image/png;base64, ',
				// 当前选中的支付方式
				tabCurrentIndex: 0,
				navList: [{
						state: 0,
						text: '快递配送'
					},
					{
						state: 1,
						text: '到店自提'
					}
				],
				maskState: 0, //优惠券面板显示状态
				time_area: '', //配送时间
				desc: '', //备注
				// payType: 1, //1微信 2支付宝
				// 优惠券列表
				couponList: [],
				couponListshow: false, //是有可以显示优惠券列表
				couponChecked: {}, //选中的优惠券
				// 收货地址
				addressData: {},
				// 收货地址id
				addressId: -1,
				// 店铺地址
				shopAddress: {
					name: '',
					mobile: '',
					addressName: '',
					address: '',
					area: '',
					default: false
				},
				// 商品列表
				shopList: [],
				// 购物车id
				cartId: '',
				//购物金额详情
				moneyAll: {
					storeFreePostage: 0, //邮费优惠
					storePostage: 0, //邮费
					totalPrice: 0, //总支付金额
					vipPrice: 0 //vip优惠价
				},
				payPrice: 0, //总支付金额
				orderKey: '', //订单id
				checkedPoints: false, //判断是否积分抵扣
				integralAll: 0, //可使用的积分
				integralMoney: 0, //积分抵扣金额
				integralShow: false, //是否显示积分抵扣金额
				payType: true, //是否可支付
				pinkid: '', //保存拼团商品id
				shipping_type: 1, // 1为快递  2为自提
				allPayInfo: {},
				goodsType: 0,
				sub: false, //是否提交订单
				isOver: false, //是否超出配送距离
				start_date: '',
				statr_time: '',
				psdate: '',
				pstime: '',
				pay_ps: 0, //配送费
				pay_dis: 0, //配送距离
				ps_start: 0,
				ps_start_m: 0,
				ps_up: 0,
				ps_up_m: 0,
				is_caigou: false, //是否是采购订单
			};
		},
		onLoad(option) {
			// 判断是否为拼团商品
			console.log(option, 'dingdanye')
			if (this.distribution == 2) {
				this.tabCurrentIndex = 0;
				this.shipping_type = 1
			} else if (this.distribution == 1) {
				this.tabCurrentIndex = 1;
				this.shipping_type = 2
			} else {
				this.tabCurrentIndex = 0;
				this.shipping_type = 1
			}
			if (option.type == 'pink') {
				this.pinkid = option.pinkId;
				this.cartAdd(option);
			} else {
				console.log('不是拼团+++++++++++');
				// 保存当前商品在购物车中的id
				this.cartId = option.id;
				this.loadData();
			}
			if (option.goodsType) {
				this.goodsType = option.goodsType;
			}
			if (option.isTakeaway) {
				this.tabCurrentIndex = option.isTakeaway * 1 - 1;
				this.shipping_type = option.isTakeaway * 1
			}
			if (this.goodsType == 3) {
				this.tabCurrentIndex = 1;
				this.shipping_type = 2
			}
			if (option.address) {
				this.addressId = option.address * 1;
				console.log(this.addressId)
			}
			this.userinfo();
		},
		onShow(option) {
			let date = new Date();
			let Y = date.getFullYear()
			let M = date.getMonth() + 1 < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)
			let D = date.getDate() > 9 ? date.getDate() : ('0' + date.getDate())
			let h = date.getHours() > 9 ? date.getHours() : ('0' + date.getHours())
			let m = date.getMinutes() > 9 ? date.getMinutes() : ('0' + date.getMinutes())
			this.start_date = Y + '-' + M + '-' + D
			this.statr_time = h + ':' + m
			console.log(this.start_date, this.statr_time)
			console.log(this.checkedStore, 'this.checkedStore+++++++++++++')
		},
		watch: {
			pstime(newValue, oldValue) {
				console.log(this.checkedStore.day_time.split(' - ')[0])
				let okbin = this.checkedStore.day_time.split(' - ')[0]
				let okend = this.checkedStore.day_time.split(' - ')[1]
				let chooseTime = newValue + ':00'
				if (okbin > chooseTime || okend < chooseTime) {
					this.$api.msg('选择的时间不在营业时间内')
					this.pstime = ''
				}
				// console.log(newValue,'pstime++++++++++++')
			},
			checkedPoints(newValue, oldValue) {
				this.integralShow = false;
				this.payMoneyNub();
			},
			addressData: {
				handler(newValue, oldValue) {
					console.log(newValue, '新的地址')
					console.log(this.checkedStore, 'this.checkedStore')
					let distance = this.space(newValue.latitude, newValue.longitude, this.checkedStore.latitude, this
						.checkedStore.longitude)
					console.log(distance, this.checkedStore.radius)
					if (this.tabCurrentIndex == 0) {
						if (distance > this.checkedStore.radius) {
							this.$api.msg('地址超出配送范围')
							this.isOver = true
						} else {
							this.isOver = false
						}
					}
					this.payMoneyNub()

				},
				immediate: true,
				deep: true
			},
			tabCurrentIndex(newValue, oldValue) {
				console.log(newValue, 'newValue++++++++')
				if (this.orderKey) {
					this.payMoneyNub()
				}

				if (newValue == 0) {
					let distance = this.space(this.addressData.latitude, this.addressData.longitude, this.checkedStore
						.latitude, this.checkedStore.longitude)
					console.log(distance, this.checkedStore.radius)
					if (this.tabCurrentIndex == 0) {
						if (distance > this.checkedStore.radius) {
							this.$api.msg('地址超出配送范围')
							this.isOver = true
						} else {
							this.isOver = false
						}
					}
				}
			}
		},
		filters: {
			distance(val) {
				let str = '';
				if (val) {
					if (val * 1 > 1000) {
						return (str = ((val * 1) / 1000).toFixed(2) + 'km');
					} else {
						return (str = (val * 1).toFixed(0) + 'm');
					}
				}
				return str;
			},
			rml(val) {
				let str = ''
				if (val) {
					if (val * 1 >= 1000) {
						return (str = ((val * 1) / 1000).toFixed(1) + '公里');
					} else {
						return (str = (val * 1).toFixed(0) + '米');
					}
				}
				return str;
			}
		},
		computed: {
			...mapState('user', ['hasLogin', 'userInfo', 'checkedStore', 'checkedPoint', 'distribution']),
			Postage() {
				let money = +this.moneyAll.storePostage + this.pay_ps;
				if (money == 0) {
					return '免运费';
				} else {
					return '￥' + money;
				}
			},
			payAllMoney() {
				return +this.moneyAll.totalPrice + +this.moneyAll.vipPrice;
			}
		},
		methods: {
			...mapMutations('user', ['setPointInfo']),
			x() {
				this.sub = false
			},
			space(lat1, lng1, lat2, lng2) {
				var radLat1 = (lat1 * Math.PI) / 180.0;
				var radLat2 = (lat2 * Math.PI) / 180.0;
				var a = radLat1 - radLat2;
				var b = (lng1 * Math.PI) / 180.0 - (lng2 * Math.PI) / 180.0;
				var s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2) + Math.cos(radLat1) * Math.cos(radLat2) * Math
					.pow(Math.sin(b / 2), 2)));
				s = s * 6378.137;
				s = Math.round(s * 10000) / 10000;
				return s * 1000;
			},
			// 添加商品到购物车
			cartAdd(opt) {
				let obj = this;
				cartAdd({
						// cartNum: 1, //商品数量
						new: 1, //商品是否新增加到购物车1为不加入0为加入
						mer_id: +opt.merid, //商店id
						combinationId: +opt.gid + '', //拼团商品id
						productId: +opt.pid, //普通商品id
						uniqueId: opt.unique
					})
					.then(function(e) {
						let da = e.data;
						// 獲取购物车号
						obj.cartId = da.cartId;
						// 加载数据
						obj.loadData();
					})
					.catch(e => {
						console.log(e);
					});
			},
			// 加载用户基础信息
			userinfo() {
				getUserInfo({}).then(({
					data
				}) => {
					this.integralAll = data.integral;
				});
			},
			// 计算支付金额
			payMoneyNub() {
				let obj = this
				computedOrderkey({
						orderkey: this.orderKey,
						useIntegral: this.checkedPoints ? 1 : 0, //是否积分抵扣
						// useIntegral: 1,
						couponId: this.couponChecked.id, //优惠券编号
						addressId: this.addressData.id, //地址编号
						shipping_type: this.shipping_type
					})
					.then(({
						data
					}) => {
						this.payType = true;
						this.integralShow = true;
						this.pay_ps = data.result.pay_postage_sh * 1
						this.pay_dis = data.result.distance * 1
						this.ps_start = data.result.store.sh_start_distance * 1
						this.ps_start_m = data.result.store.sh_start_money * 1
						this.ps_up = data.result.store.sh_step * 1
						this.ps_up_m = data.result.store.sh_step_money * 1
						// 获取支付金额
						this.payPrice = +data.result.pay_price;
						this.integralMoney = data.result.deduction_price;
						this.allPayInfo = data.result;
						// 判断是否是采购商品
						if (data.result.store_user) {
							this.is_caigou = true
							// 设置默认时间

							var myDate = new Date((new Date).getTime() + 8 * 60 * 60 * 1000);
							var time = myDate.toJSON().split('T').join(' ').substr(0, 19)
							let arr = time.split(' ')
							this.psdate = arr[0]
							this.pstime = arr[1]
							// 设置配送点
							getPointList({}, this.checkedStore.id).then(({
								data
							}) => {
								// obj.checkedPoint = data.list[0]
								obj.setPointInfo(data.list[0])
								// console.log(data.list[0])
							})
							//
							obj.addressData.real_name = obj.userInfo.store_info.name
							obj.addressData.phone = obj.userInfo.store_info.phone
							console.log(obj.userInfo.store_info.name)
							console.log(obj.userInfo.store_info.phone)
							// console.log(time.split(' '))

						}
					})
					.catch(e => {
						console.log(e);
						this.integralShow = false;
						this.payType = false;
					});
			},
			// 是否使用积分
			checkedIntegral() {
				this.checkedPoints = !this.checkedPoints;
			},
			// 选中优惠券
			checkedCp(item) {
				this.couponChecked = item;
				this.payMoneyNub();
			},
			// 加载优惠券列表
			couponsOrder(money) {
				couponsOrder({
					cartId: this.cartId
				}, money).then(e => {
					if (e.data.length > 0) {
						this.couponListshow = true;
					}
					this.couponList = e.data;
				});
			},
			//顶部tab点击
			tabClick(index) {
				this.tabCurrentIndex = index;
				this.shipping_type = index + 1;
			},
			//显示优惠券面板
			toggleMask(type) {
				let timer = type === 'show' ? 10 : 300;
				let state = type === 'show' ? 1 : 0;
				this.maskState = 2;
				setTimeout(() => {
					this.maskState = state;
				}, timer);
			},
			loadData() {
				let obj = this;
				confirm({
					cartId: obj.cartId + ''
				}).then(({
					data
				}) => {
					console.log(data, 'loadData')
					if (obj.addressId == -1) {
						obj.addressData = data.addressInfo || {};
						console.log('5555555')
					} else {
						getAddress({}, obj.addressId).then(({
							data
						}) => {
							obj.addressData = data
						})
					}
					obj.shopList = data.cartInfo; //商品列表
					console.log(obj.shopList, 'obj.shopList+++++++++')
					obj.moneyAll = data.priceGroup; //金额数据
					console.log(obj.moneyAll, 'obj.moneyAll+++++++++++');
					obj.orderKey = data.orderKey; //订单key
					// 计算金额
					this.payMoneyNub();
					// 加载优惠券
					obj.couponsOrder(data.priceGroup.totalPrice);
				}).catch(err => {

					// setTimeout(function() {
					// 	uni.navigateBack({

					// 	})
					// }, 1500)

				});
			},
			// 购买数量变化
			numberChange(data) {
				this.number = data.number;
			},
			// 修改支付方式
			changePayType(type) {
				this.payType = type;
			},
			// 提交订单
			submit() {
				console.log('点击提交');

				if (this.goodsType != 3) {
					if (!this.checkedStore) {
						return this.$api.msg('请选择下单门店');
					}
				}
				if (this.goodsType != 3) {
					if (this.psdate == '' || this.pstime == '') {
						if (this.shipping_type == 1) {
							return this.$api.msg('请选择配送时间')
						} else {
							return this.$api.msg('请选择自提时间')
						}

					}
					this.time_area = this.psdate + ' ' + this.pstime + ':00'
					console.log(this.time_area, 'this.time_area')
				}

				if (this.shipping_type == 2) {
					if (this.goodsType != 3) {
						if (!this.checkedPoint) {
							return this.$api.msg('请选择自提点');
						} else {
							console.log(this.checkedPoint, 'this.checkedPoint++++++++++++++');
						}
					}
					console.log(this.checkedPoint, 'this.checkedPoint+++++++++++')

				}
				if (this.checkedPoints && this.shopList.length > 1) {
					this.$api.msg('积分商品只可单件购买');
					return false;
				}
				if (!this.addressData.real_name) {
					if (this.goodsType != 3) {
						this.$api.msg('请选择收货地址');
						return false;
					}
				}
				console.log('拼接URL66666666666666');
				this.sub = true
				let url = '/pages/money/pay?key=' + this.orderKey + '&store_id=' + this.checkedStore.id +
					'&shipping_type=' + this.shipping_type;
				if (this.goodsType == 3) {
					url += '&goodstype=' + this.goodsType;
				}
				if (this.shipping_type == 2) {
					url += '&point_id=' + this.checkedPoint.id;
				}
				console.log(url, 'url+++++++++++++++');
				if (this.pinkid) {
					url += '&pinkid=' + this.pinkid;
				}
				uni.navigateTo({
					url
				});
			},
			selectStore() {
				uni.navigateTo({
					url: '/pages/order/choisestore?type=1'
				});
			},
			selectPoint() {
				if (!this.checkedStore) {
					return this.$api.msg('请选择下单门店');
				}
				uni.navigateTo({
					url: '/pages/order/choisestore?type=2&id=' + this.checkedStore.id
				});
			},
			bindDateChange(e) {
				console.log(e, 'ddddddddddddddddddd')
				this.psdate = e.detail.value
				console.log(this.psdate)
			},
			bindTimeChange(e) {
				this.pstime = e.detail.value
				console.log(this.pstime)
			}
		}
	};
</script>

<style lang="scss">
	page {
		background: $page-color-base;
		padding-bottom: 100rpx;
	}

	.all {
		margin-top: -20rpx;
	}

	.navbar {
		display: flex;
		height: 80rpx;
		padding: 0 5px;
		background: #fff;
		box-shadow: 0 2rpx 10rpx rgba(0, 0, 0, 0.06);
		position: relative;
		z-index: 10;

		.nav-item {
			flex: 1;
			display: flex;
			justify-content: center;
			align-items: center;
			height: 100%;
			font-size: $font-lg + 4rpx;
			color: $font-color-dark;
			position: relative;

			&.current {
				color: $base-color;

				&:after {
					content: '';
					position: absolute;
					left: 50%;
					bottom: 0;
					transform: translateX(-50%);
					width: 140rpx;
					height: 0;
					border-bottom: 2px solid $base-color;
				}
			}
		}
	}

	.address-section {
		// padding: 30rpx 0;
		background: #fff;
		position: relative;
		border-top: 1px solid $border-color-light;

		.order-content {
			min-height: 100rpx;
			display: flex;
			align-items: center;

			.addAddress {
				text-align: center;
				width: 100%;
				display: flex;
				justify-content: center;
				align-items: center;

				.iconaddition {
					font-size: 55rpx;
					line-height: 1;
					border-radius: 100rpx;
					margin-right: 20rpx;
				}
			}
		}

		.iconlocation {
			flex-shrink: 0;
			display: flex;
			align-items: center;
			justify-content: center;
			width: 90rpx;
			color: #888;
			font-size: 44rpx;
		}

		.cen {
			display: flex;
			flex-direction: column;
			flex: 1;
			font-size: 28rpx;
			color: $font-color-dark;
		}

		.name {
			font-size: 34rpx;
			margin-right: 24rpx;
		}

		.address {
			margin-top: 16rpx;
			margin-right: 20rpx;
			color: $font-color-light;
		}

		.icon-you {
			font-size: 32rpx;
			color: $font-color-light;
			margin-right: 30rpx;
		}

		.a-bg {
			position: absolute;
			left: 0;
			bottom: 0;
			display: block;
			width: 100%;
			height: 5rpx;
		}
	}

	.goods-section {
		// margin-top: 16rpx;
		background: #fff;
		padding-bottom: 1px;

		.g-header {
			display: flex;
			align-items: center;
			height: 84rpx;
			padding: 0 30rpx;
			position: relative;
		}

		.logo {
			display: block;
			width: 50rpx;
			height: 50rpx;
			border-radius: 100px;
		}

		.name {
			font-size: 30rpx;
			color: $font-color-base;
			margin-left: 24rpx;
		}

		.g-item {
			display: flex;
			margin: 20rpx 30rpx;
			padding: 30rpx 0;
			position: relative;

			image {
				flex-shrink: 0;
				display: block;
				width: 180rpx;
				height: 180rpx;
				border-radius: 4rpx;
			}

			.right {
				flex: 1;
				padding-left: 24rpx;
				overflow: hidden;
			}

			.title {
				width: 475rpx;
				font-size: 30rpx;
				color: $font-color-dark;
			}

			.spec {
				display: inline-block;
				position: absolute;
				top: 130rpx;
				// left: 243rpx;
				font-size: 23rpx;
				font-size: 24rpx;
				font-weight: 500;
				color: #8a857c;
				line-height: 1;
			}

			.price-box {
				display: flex;
				align-items: center;
				font-size: 32rpx;
				color: $font-color-dark;
				padding-top: 10rpx;
				position: absolute;
				top: 150rpx;

				.price {
					font-size: 32rpx;
					font-weight: bold;
					color: #901b21;
				}

				.number {
					margin-left: 20rpx;
					font-size: 24rpx;
					font-weight: 500;
					color: #9d9d9d;
					text-decoration: line-through;
				}
			}

			.step-box {
				position: relative;
			}
		}
	}

	.yt-list {
		margin-top: 16rpx;
		background: #fff;
	}

	.yt-list-cell {
		display: flex;
		align-items: center;
		padding: 10rpx 30rpx 10rpx 40rpx;
		line-height: 70rpx;
		position: relative;

		&.cell-hover {
			background: #fafafa;
		}

		&.b-b:after {
			left: 30rpx;
		}

		.cell-icon {
			height: 32rpx;
			width: 32rpx;
			font-size: 22rpx;
			color: #fff;
			text-align: center;
			line-height: 32rpx;
			background: #f85e52;
			border-radius: 4rpx;
			margin-right: 12rpx;

			&.hb {
				background: #ffaa0e;
			}

			&.lpk {
				background: #3ab54a;
			}
		}

		.cell-more {
			align-self: center;
			font-size: 24rpx;
			color: $font-color-light;
			margin-left: 8rpx;
			margin-right: -10rpx;
		}

		.cell-tit {
			flex: 1;
			font-size: 26rpx;
			color: $font-color-light;
			margin-right: 10rpx;
		}

		.cell-tip {
			font-size: 26rpx;
			color: $font-color-dark;

			&.disabled {
				color: $font-color-light;
			}

			&.active {
				color: $base-color;
			}

			&.red {
				color: $base-color;
			}
		}

		&.desc-cell {
			.cell-tit {
				max-width: 90rpx;
			}
		}

		.desc {
			flex: 1;
			text-align: right;
			font-size: $font-base;
			color: $font-color-dark;
		}
	}

	/* 支付列表 */
	.pay-list {
		padding-left: 40rpx;
		margin-top: 16rpx;
		background: #fff;

		.pay-item {
			display: flex;
			align-items: center;
			padding-right: 20rpx;
			line-height: 1;
			height: 110rpx;
			position: relative;
		}

		.icon-weixinzhifu {
			width: 80rpx;
			font-size: 40rpx;
			color: #6bcc03;
		}

		.icon-alipay {
			width: 80rpx;
			font-size: 40rpx;
			color: #06b4fd;
		}

		.icon-xuanzhong2 {
			display: flex;
			align-items: center;
			justify-content: center;
			width: 60rpx;
			height: 60rpx;
			font-size: 40rpx;
			color: $base-color;
		}

		.tit {
			font-size: 32rpx;
			color: $font-color-dark;
			flex: 1;
		}
	}

	.footer {
		position: fixed;
		left: 0;
		bottom: 0;
		z-index: 995;
		display: flex;
		align-items: center;
		width: 100%;
		height: 90rpx;
		justify-content: space-between;
		font-size: 30rpx;
		background-color: #fff;
		z-index: 998;
		color: $font-color-base;
		box-shadow: 0 -1px 5px rgba(0, 0, 0, 0.1);

		.price-content {
			padding-left: 30rpx;
		}

		.price-tip {
			color: #901b21;
			margin-left: 8rpx;
		}

		.price {
			font-size: 36rpx;
			color: #901b21;
		}

		.submit {
			display: flex;
			align-items: center;
			justify-content: center;
			width: 280rpx;
			height: 100%;
			color: #fff;
			font-size: 32rpx;
			background-color: $base-color;

			&.submitNo {
				background-color: $font-color-disabled;
			}
		}
	}

	/* 优惠券面板 */
	.mask {
		display: flex;
		align-items: flex-end;
		position: fixed;
		left: 0;
		top: var(--window-top);
		bottom: 0;
		width: 100%;
		background: rgba(0, 0, 0, 0);
		z-index: 9995;
		transition: 0.3s;

		.mask-content {
			width: 100%;
			max-height: 70vh;
			background: #f3f3f3;
			transform: translateY(100%);
			transition: 0.3s;
			overflow-y: scroll;
		}

		&.none {
			display: none;
		}

		&.show {
			background: rgba(0, 0, 0, 0.4);

			.mask-content {
				transform: translateY(0);
			}
		}
	}

	/* 优惠券列表 */
	.coupon-item {
		display: flex;
		flex-direction: column;
		margin: 20rpx 24rpx;
		background: #fff;

		.con {
			display: flex;
			align-items: center;
			position: relative;
			height: 120rpx;
			padding: 0 30rpx;

			&:after {
				position: absolute;
				left: 0;
				bottom: 0;
				content: '';
				width: 100%;
				height: 0;
				border-bottom: 1px dashed #f3f3f3;
				transform: scaleY(50%);
			}
		}

		.left {
			display: flex;
			flex-direction: column;
			justify-content: center;
			flex: 1;
			overflow: hidden;
			height: 100rpx;
		}

		.title {
			font-size: 32rpx;
			color: $font-color-dark;
			margin-bottom: 10rpx;
		}

		.time {
			font-size: 24rpx;
			color: $font-color-light;
		}

		.right {
			display: flex;
			flex-direction: column;
			justify-content: center;
			align-items: center;
			font-size: 26rpx;
			color: $font-color-base;
			height: 100rpx;
		}

		.price {
			font-size: 44rpx;
			color: $base-color;

			&:before {
				content: '￥';
				font-size: 34rpx;
			}
		}

		.tips {
			font-size: 24rpx;
			color: $font-color-light;
			line-height: 60rpx;
			padding-left: 30rpx;
		}

		.circle {
			position: absolute;
			left: -6rpx;
			bottom: -10rpx;
			z-index: 10;
			width: 20rpx;
			height: 20rpx;
			background: #f3f3f3;
			border-radius: 100px;

			&.r {
				left: auto;
				right: -6rpx;
			}
		}
	}

	.top-nav {
		width: 750rpx;
		height: 94rpx;
		background: #ffffff;
		display: flex;
		padding: 0 27rpx 0 35rpx;
		justify-content: space-between;
		align-items: center;

		.top-title {
			line-height: 94rpx;
			font-size: 30rpx;
			font-weight: 500;
			color: #333333;
		}

		.top-btn {
			width: 168rpx;
			height: 56rpx;
			background: #901b21;
			border-radius: 14rpx;
			padding: 4rpx;
			display: flex;
			justify-content: space-between;

			view {
				width: 76rpx;
				height: 48rpx;

				border-radius: 12rpx;
				text-align: center;
				color: #fff;
				background: #901b21;
			}

			.action {
				color: #901b21;
				background: #ffffff;
			}
		}
	}

	.price-info {
		width: 750rpx;
		padding: 20rpx 30rpx;
		background-color: #fff;
		font-size: 24rpx;
		font-weight: 500;
		color: #666666;

		.item {
			display: flex;
			justify-content: space-between;
			line-height: 36rpx;
		}
	}

	#list-box {
		.chose {
			margin-top: 25rpx;
			background-color: #ffffff;
			display: flex;
			justify-content: space-between;
			padding: 32rpx 24rpx;
			font-size: 30rpx;

			.title {
				color: #333;
			}

			.chose-name {
				display: flex;
				align-items: center;
				color: #901b21;

				.img {
					width: 30rpx;
					height: 24rpx;

					image {
						width: 30rpx;
						height: 24rpx;
						display: inline;
					}
				}
			}
		}

		.personal {
			margin-top: 15rpx;
			display: flex;
			flex-direction: column;
			background-color: #ffffff;

			.box-right {
				width: 100%;
				font-size: 30rpx;
				text-align: right;
				padding-right: 25rpx;
			}

			.info {
				padding: 10rpx 25rpx;
				display: flex;
				align-items: center;
				font-size: 30rpx;
				justify-content: space-between;

				.name {
					width: 120rpx;
				}

				input {
					margin-left: 12rpx;
					width: 100%;
					// background-color: pink;
					display: block;
					color: #999999;
				}
			}
		}
	}

	.stores-wrapper {
		padding-top: 20rpx;
		height: 100%;

		.store {
			width: 710rpx;
			// height: 231rpx;
			background: #ffffff;
			box-shadow: 0px 0px 20rpx 0rpx rgba(50, 50, 52, 0.06);
			border-radius: 10rpx;
			// margin-bottom: 15rpx;
			margin: 0 auto 15rpx;
			position: relative;
			padding: 25rpx 0 20rpx 20rpx;

			.store-logo {
				height: 65rpx;
				font-size: 32rpx;
				font-weight: bold;
				color: #333333;
				line-height: 65rpx;
				margin-bottom: 20rpx;
				position: relative;

				image {
					width: 65rpx;
					height: 65rpx;
					border-radius: 50%;
				}

				.store-name {
					max-width: 500rpx;
					display: inline-block;
					padding-left: 12rpx;
					position: absolute;
					top: 0;
				}
			}

			.store-base {
				height: 37rpx;
				line-height: 37rpx;
				font-size: 24rpx;
				font-weight: bold;
				color: #333333;

				text {
					font-weight: normal;
				}
			}

			.store-lv {
				display: inline-block;
				// width: 60rpx;
				padding: 0 10rpx;
				height: 40rpx;
				background: linear-gradient(-90deg, #dcb876 0%, #eecd92 100%);
				border-radius: 5rpx;
				text-align: center;
				line-height: 40rpx;
				color: #fff;
				font-size: 23rpx;
				position: absolute;
				right: 20rpx;
				top: 38rpx;
			}

			.store-can {
				width: 113rpx;
				height: 44rpx;
				border: 2px solid #901b21;
				border-radius: 5rpx;
				font-size: 23rpx;
				text-align: center;
				line-height: 44rpx;
				font-weight: 500;
				color: #901b21;
				position: absolute;
				right: 20rpx;
				bottom: 25rpx;
			}
		}
	}

	// .ps-time {
	// 	width: 375rpx;
	// 	height: 40rpx;
	// 	background-color: red;
	// }
	.choose {
		margin-top: 20rpx;
		background-color: #fff;
		padding: 10rpx 50rpx 10rpx 25rpx;
		line-height: 70rpx;
		justify-content: space-between;

		.choose-tit {
			width: 220rpx;
			// background-color: #bfa;
		}

		.ps-time {
			text-align: right;
			width: 200rpx;
			// background-color: red;
		}
	}
</style>
